Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IOP::TAO_IOR_Manipulation Interface Reference

Allows applications to manipulate object references. More...

Inheritance diagram for TAO_IOP::TAO_IOR_Manipulation:

[legend]
List of all members.

## Public Types
typedef sequence< Object > | IORList
## Public Methods
Object | merge_iors (in IORList iors) raises (EmptyProfileList,Duplicate,Invalid_IOR)
Object | add_profiles (in Object ior1, in Object ior2) raises (EmptyProfileList, Duplicate, Invalid_IOR)
Object | remove_profiles (in Object ior1, in Object ior2) raises (Invalid_IOR, EmptyProfileList, NotFound)
boolean | set_property (in TAO_IOR_Property prop, in Object ior) raises (Invalid_IOR, Duplicate)
boolean | set_primary (in TAO_IOR_Property prop, in Object ior1, in Object ior2) raises (Invalid_IOR, Duplicate, MultiProfileList, NotFound)
Object | get_primary (in TAO_IOR_Property prop, in Object ior) raises (NotFound)
boolean | is_primary_set (in TAO_IOR_Property prop, in Object ior)
unsigned long | is_in_ior (in Object ior1, in Object ior2) raises (NotFound)
unsigned long | get_profile_count (in Object ior) raises (EmptyProfileList)

## Detailed Description

Allows applications to manipulate object references.

Manipulating Object References. While this interface does not assume the use of CORBA complient IOPs, the IOP termonology is used throughout. Object references (Object) are used since they encapsulate the notion of object references and IORs. Note, an IOR contains one or more profiles and a profile can be considered to represent the location or route to a specific instance of an object. A profile may also contain supplimentary information useful for differrent services such as security. All Object references may have multiple profiles

## Member Typedef Documentation

typedef sequence<Object> TAO_IOP::TAO_IOR_Manipulation::IORList

## Member Function Documentation

Object TAO_IOP::TAO_IOR_Manipulation::add_profiles | ( | in Object | ior1,
|  | in Object | ior2
| ) | raises (EmptyProfileList, Duplicate, Invalid_IOR)

Object TAO_IOP::TAO_IOR_Manipulation::get_primary | ( | in TAO_IOR_Property | prop,
|  | in Object | ior
| ) | raises (NotFound)

unsigned long TAO_IOP::TAO_IOR_Manipulation::get_profile_count | ( | in Object | ior | ) | raises (EmptyProfileList)

unsigned long TAO_IOP::TAO_IOR_Manipulation::is_in_ior | ( | in Object | ior1,
|  | in Object | ior2
| ) | raises (NotFound)

boolean TAO_IOP::TAO_IOR_Manipulation::is_primary_set | ( | in TAO_IOR_Property | prop,
|  | in Object | ior
| ) |

Object TAO_IOP::TAO_IOR_Manipulation::merge_iors | ( | in IORList | iors | ) | raises (EmptyProfileList,Duplicate,Invalid_IOR)

Object TAO_IOP::TAO_IOR_Manipulation::remove_profiles | ( | in Object | ior1,
|  | in Object | ior2
| ) | raises (Invalid_IOR, EmptyProfileList, NotFound)

boolean TAO_IOP::TAO_IOR_Manipulation::set_primary | ( | in TAO_IOR_Property | prop,
|  | in Object | ior1,
|  | in Object | ior2
| ) | raises (Invalid_IOR, Duplicate, MultiProfileList, NotFound)

boolean TAO_IOP::TAO_IOR_Manipulation::set_property | ( | in TAO_IOR_Property | prop,
|  | in Object | ior
| ) | raises (Invalid_IOR, Duplicate)

The documentation for this interface was generated from the following file:

- IOR.pidl